## org.eclipse.datatools.sqltools.sqlbuilder.views
Class GridContentProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
          org.eclipse.datatools.sqltools.sqlbuilder.views.GridContentProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.views.properties.IPropertySourceProvider

Direct Known Subclasses:
  CriteriaContentProvider, FullSelectGridViewer.FullSelectGridContentProvider, FullSelectOrderViewer.OrderContentProvider, GroupByContentViewer.GroupByExpressionContentProvider, InsertGridContentProvider, InsertSelectViewer.ColumnContentProvider, SelectGridContentProvider, UpdateTreeViewer.UpdateTreeContentProvider, ValuesRowViewer.ValuesRowGridContentProvider

    public abstract class GridContentProvider

extends org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider.ViewerRefresh`

Constructor Summary
`GridContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`

Method Summary
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification msg)`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`dispose, getAdapterFactory, getChildren, getElements, getParent, getPropertySource, hasChildren, inputChanged, setAdapterFactory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridContentProvider

    public GridContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

Method Detail

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification msg)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.edit.provider.INotifyChangedListener`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`